import pygame
from pygame.locals import*
from sys import exit
import random

pygame.init()
screen = pygame.display.set_mode((1024, 780), 0, 32)

background = pygame.Surface((1024, 780), pygame.SRCALPHA, screen)
background.fill((210, 150, 35))
screen.blit(background, (0,0))


i = 0
while (i < 6):
	x = random.randint(-50, 1024)
	y = random.randint(-50, 780)
	stone = pygame.image.load('stone.png').convert_alpha()
	stone = pygame.transform.scale(stone, ((int)(pygame.Surface.get_width(stone) / 4) , ((int)(pygame.Surface.get_height(stone)/ 4))))
	background.blit(stone,(x, y))
	i += 1
	
i = 0
while (i < 10):
	x = random.randint(-80, 1024)
	y = random.randint(-100, 780)
	palme = pygame.image.load('palme.gif')
	palme = pygame.transform.scale(palme, ((int)(pygame.Surface.get_width(palme) / 1.3) , ((int)(pygame.Surface.get_height(palme)/ 1.3))))
	background.blit(palme, (x,y))
	i += 1
	
	
mann = pygame.Surface((200, 200), pygame.SRCALPHA, screen)
mann = mann.convert_alpha()
pygame.draw.ellipse(mann, (0, 0, 50), (0,80,200,80), 0) 
pygame.draw.ellipse(mann, (0, 0, 0), (0,80,200,80), 2) 
pygame.draw.polygon(mann, (0,0,0), [(50,90),(100,90),(75,30)],0)
pygame.draw.polygon(mann, (0,0,0), [(100,90),(150,90),(125,30)],0)
pygame.draw.circle(mann, (35, 30, 5), (100, 120), 65, 0)
pygame.draw.circle(mann, (25, 20, 5), (100, 120), 45, 10)
pygame.draw.circle(mann, (0, 0, 0), (100, 120), 45, 1)
pygame.draw.circle(mann, (0, 0, 0), (100, 120), 65, 2)
pygame.draw.circle(mann, (0, 0, 0), (100, 120), 35, 1)




xold = 1024/2 - mann.get_width()/2
yold = 780/2 - mann.get_height()/2
screen.blit(mann, (xold, yold))

	
while True:
	for event in pygame.event.get():
		if event.type == QUIT:
			exit()
		if event.type == MOUSEBUTTONDOWN:	
			x, y = pygame.mouse.get_pos()
			x-=mann.get_width()/2
			y-=mann.get_height()/2
			while ((xold != x) or (yold != y)):
				#print xold, yold
				if (xold < x): xold += 1
				elif (xold > x): xold -=1
				screen.blit(mann,(xold,yold))

				if (yold < y): yold += 1
				elif (yold > y): yold -= 1
				screen.blit(mann,(xold,yold))
				pygame.draw.rect(background, (0,0,0), ((xold + mann.get_width()/2),(yold + mann.get_height()/2),5,5), 0)
				pygame.display.update()
				screen.blit(background, (0,0))





